import { Point } from './Point';
export declare class Rectangle {
    readonly x: number;
    readonly y: number;
    readonly width: number;
    readonly height: number;
    constructor(x: number, y: number, width?: number, height?: number);
    getCenter(): Point;
    contains(point: Point): boolean;
    pad(padding: number): Rectangle;
    toString(): string;
    static fromPoints(...points: Point[]): Rectangle;
}
